#ifndef EDGEBUFFER_H
#define EDGEBUFFER_H

#include <windows.h>
#undef __glext_h_
#undef __glxext_h_
#undef __gl_h_
#include <GL/GLee.h>
#include "View.h"

class EdgeBuffer
{
private:
	GLuint m_nEdgeTex;
	GLuint m_nFrameBuffer;

	int m_nWidth, m_nHeight;

public:
	EdgeBuffer(int nWidth, int nHeight);
	~EdgeBuffer();

	void drawToBuffer(GLuint normalTex, GLuint depthTex, View *view);

	void bind();
	void unbind();

	void bindEdgeTex();

	GLuint getEdgeTex();

	int getWidth();
	int getHeight();
};

#endif